
#define PLASMA_GENERATOR "001"
#define PLASMA_CALL PLASMA_gen001
#include "plgen001.h"

#define PLASMA_DEFAULT_BASECOLOR 0

#include <stdio.h>
#include <mem.h>
#include <math.h>
#include <stdlib.h>
#include <io.h>
#include <fcntl.h>

#include "cgdk.h"
#include "plasma.h"


#define PLASMA_IMAGE_FILENAME "plgen"PLASMA_GENERATOR".img"

int main (int argc, char *argv[])
{
  TPLASMA_image *p;
  int phandle;
  int exitcode;
  int basecolor = PLASMA_DEFAULT_BASECOLOR;

  printf ("\n"
          "PLSAV"PLASMA_GENERATOR" - plasma generator "PLASMA_GENERATOR"\n"
          "\n%s\n",CGDK_copyright);

  if (argc <= 2)
  {
    if (argc == 2)
    {
      sscanf (argv [1], "%i", &basecolor);
      printf ("Plasma base color is %i\n", basecolor);
    }
    else
    {
      basecolor = PLASMA_DEFAULT_BASECOLOR;
      printf ("Plasma base color is default (%i)\n",basecolor);
    }

    PLASMA_init ();

    printf ("Wait ...\n");

    p = PLASMA_CALL (basecolor);

    printf ("Saving plasma image "PLASMA_IMAGE_FILENAME" ...\n");

    if (PLASMA_save (p, PLASMA_IMAGE_FILENAME))
    {
      printf ("Done.\n\n");
      exitcode = 0;
    }
    else
    {
      printf ("Error saving plasma image.\n\n");
      exitcode = 2;
    }

    PLASMA_done ();

  }
  else
  {
    printf ("Syntax is : PLSAV"PLASMA_GENERATOR" [basecolor]\n\n");
    exitcode = 1;
  }

  return exitcode;
}
